interface ProgressIndicatorProps {
  current: number;
  total: number;
}

export function ProgressIndicator({ current, total }: ProgressIndicatorProps) {
  const progress = (current / total) * 100;

  return (
    <div className="flex items-center gap-4">
      <span className="text-5xl font-bold text-sky-500">
        {String(current).padStart(2, "0")}
      </span>
      <div className="h-1 w-48 rounded-full bg-gray-200">
        <div
          className="h-full rounded-full bg-sky-500 transition-all duration-300 ease-in-out"
          style={{ width: `${progress}%` }}
        />
      </div>
    </div>
  );
}
